Last Comment Bug 634528 - Port Bug 597634 [Intermittent browser_522545.js | sessionstore got correct userTypedValue - Got undefined, expected example.org] to fix test failure from landing of bug 597584
: Port Bug 597634 [Intermittent browser_522545.js | sessionstore got correct us...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Misak Khachatryan
:
Mentors:
Depends on: 597634
Blocks: 597584
  Show dependency treegraph
 
Reported: 2011-02-15 22:40 PST by Misak Khachatryan
Modified: 2011-03-09 05:25 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (5.54 KB, patch)
2011-02-15 22:40 PST, Misak Khachatryan
neil: review+
Details | Diff | Review

Description Misak Khachatryan 2011-02-15 22:40:34 PST
Created attachment 512716 [details] [diff] [review]
fix

After Cascaded session restore landing we have failure of some tests:

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/common/tests/browser/browser_522545.js | sessionstore got correct userTypedValue - Got undefined, expected mozilla.org
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/common/tests/browser/browser_522545.js | sessionstore got correct userTypedClear - Got undefined, expected 0

This patch fixes them.
Comment 1 neil@parkwaycc.co.uk 2011-02-16 04:34:53 PST
Comment on attachment 512716 [details] [diff] [review]
fix

>-  function waitForBrowserState(aState, aSetStateCallback) {
...
>+    waitForBrowserState(state, function() {
This doesn't look right...
Comment 2 Misak Khachatryan 2011-02-16 04:50:49 PST
It uses generic waitForBrowserState introduced in head.js, which is introduced by Bug 633722.
Comment 3 Misak Khachatryan 2011-02-16 22:25:46 PST
Comment on attachment 512716 [details] [diff] [review]
fix

Rerequesting review.
Comment 4 Misak Khachatryan 2011-02-17 22:22:31 PST
Pushed: http://hg.mozilla.org/comm-central/rev/b62ca86c48b9

Note You need to log in before you can comment on or make changes to this bug.